/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
function handleOpenURL(url) {
    //android only
    url = decodeURIComponent(url);
    url = url.replace(/~/,"?");
    if(url.split('#')[1]){
        var myhash = url.split('#')[1];
        window.location.hash="#"+myhash;
        }
  }

window.addEventListener('message',function(e){
      if(e.data.indexOf('#')>=0)
        window.location.hash = e.data;
},false);

var app = {
    // Application Constructor
    initialize: function () {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function () {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function () {
        console.log("device is Ready")
        localStorage.setItem("platform",device.platform);
        //alert(window.location.href);
        navigator.splashscreen.hide();
        JPush.init();
        JPush.setApplicationIconBadgeNumber(0);

        //to do :ios only
        universalLinks.subscribe('openNewsDetailedPage', app.onNewsDetailedPageRequested);       
    },

    // openNewsDetailedPage Event Handler 
    onNewsDetailedPageRequested: function(eventData) {
        url = decodeURIComponent(eventData.url);
        url = url.replace(/~/,"?");
        if(url.split('#')[1]){
            var myhash = url.split('#')[1];
            window.location.hash="#"+myhash;
        }
    },
    
};

app.initialize();
